
From: Adrian Bunk <bunk@stusta.de>

Due to the patent situation at least in the USA, the exports of
kernel/rcupdate.c should be EXPORT_SYMBOL_GPL.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/rcupdate.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN kernel/rcupdate.c~kernel-rcupdatec-make-the-exports-export_symbol_gpl kernel/rcupdate.c
--- 25/kernel/rcupdate.c~kernel-rcupdatec-make-the-exports-export_symbol_gpl	2005-03-28 17:31:21.000000000 -0800
+++ 25-akpm/kernel/rcupdate.c	2005-03-28 17:31:21.000000000 -0800
@@ -465,6 +465,6 @@ void synchronize_kernel(void)
 }
 
 module_param(maxbatch, int, 0);
-EXPORT_SYMBOL(call_rcu);
-EXPORT_SYMBOL(call_rcu_bh);
-EXPORT_SYMBOL(synchronize_kernel);
+EXPORT_SYMBOL_GPL(call_rcu);
+EXPORT_SYMBOL_GPL(call_rcu_bh);
+EXPORT_SYMBOL_GPL(synchronize_kernel);
_
